# Uses of Interface
javajs.api.GenericBinaryDocument

Packages that use GenericBinaryDocument
Package
Description
javajs.api
javajs.util
org.jmol.adapter.smarter
org.jmol.jvxl.api
org.jmol.jvxl.readers
org.jmol.shapesurface

## Uses of GenericBinaryDocument in javajs.api

Methods in javajs.api that return GenericBinaryDocument
Modifier and Type
Method
Description
`GenericBinaryDocument`
GenericBinaryDocument.`setStream(BufferedInputStream bis, boolean isBigEndian)`

## Uses of GenericBinaryDocument in javajs.util

Classes in javajs.util that implement GenericBinaryDocument
Modifier and Type
Class
Description
`class`
`BinaryDocument`
`class`
`CompoundDocument`

## Uses of GenericBinaryDocument in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as GenericBinaryDocument
Modifier and Type
Field
Description
`GenericBinaryDocument`
AtomSetCollectionReader.`binaryDoc`

## Uses of GenericBinaryDocument in org.jmol.jvxl.api

Methods in org.jmol.jvxl.api with parameters of type GenericBinaryDocument
Modifier and Type
Method
Description
`void`
MeshDataServer.`setOutputChannel(GenericBinaryDocument binaryDoc, OC out)`

## Uses of GenericBinaryDocument in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as GenericBinaryDocument
Modifier and Type
Field
Description
`protected GenericBinaryDocument`
SurfaceFileReader.`binarydoc`
`protected GenericBinaryDocument`
SurfaceFileReader.`binarydoc`
`protected GenericBinaryDocument`
SurfaceFileReader.`binarydoc`

## Uses of GenericBinaryDocument in org.jmol.shapesurface

Methods in org.jmol.shapesurface with parameters of type GenericBinaryDocument
Modifier and Type
Method
Description
`void`
Isosurface.`setOutputChannel(GenericBinaryDocument binaryDoc, OC out)`